import {
  DocsLink_default
} from "./chunk-32NJDIF7.js";
import {
  CopyCode_default
} from "./chunk-X3EBG6L2.js";

// src/dialogs/VirtualDeviceOnboarding.tsx
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { getFeatures, getOrganization } from "@northern.tech/store/selectors";
import { setOnboardingApproach } from "@northern.tech/store/thunks";
import { jsx, jsxs } from "react/jsx-runtime";
var getDemoDeviceCreationCommand = (tenantToken, demoArtifactPort) => tenantToken ? `TENANT_TOKEN='${tenantToken}'
docker run -it -p ${demoArtifactPort}:${demoArtifactPort} -e SERVER_URL='https://${window.location.hostname}' \\
-e TENANT_TOKEN=$TENANT_TOKEN --pull=always mendersoftware/mender-client-qemu` : "./demo --client up";
var VirtualDeviceOnboarding = () => {
  const dispatch = useDispatch();
  const { isHosted } = useSelector(getFeatures);
  const { tenant_token: tenantToken } = useSelector(getOrganization);
  const demoArtifactPort = useSelector((state) => state.onboarding.demoArtifactPort);
  useEffect(() => {
    dispatch(setOnboardingApproach("virtual"));
  }, [dispatch]);
  const codeToCopy = getDemoDeviceCreationCommand(tenantToken, demoArtifactPort);
  return /* @__PURE__ */ jsxs("div", { children: [
    isHosted ? /* @__PURE__ */ jsxs("div", { children: [
      /* @__PURE__ */ jsx("b", { children: "1. Get Docker Engine" }),
      /* @__PURE__ */ jsx("p", { children: "If you do not have it already, please install Docker on your local machine." }),
      /* @__PURE__ */ jsxs("p", { children: [
        "For example if you are using Ubuntu follow this tutorial:",
        " ",
        /* @__PURE__ */ jsx("a", { href: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/", target: "_blank", rel: "noopener noreferrer", children: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/" })
      ] })
    ] }) : /* @__PURE__ */ jsxs("div", { children: [
      /* @__PURE__ */ jsx("b", { children: "1. Prerequisites" }),
      /* @__PURE__ */ jsx("p", { children: "As you are running Mender on-premise, for these instructions we assume that you already have Docker installed and the Mender integration environment up and running on your machine." }),
      /* @__PURE__ */ jsx("p", { children: "To start a virtual device, change directory into the folder where you cloned Mender integration." })
    ] }),
    /* @__PURE__ */ jsx("p", { children: /* @__PURE__ */ jsx("b", { children: "2. Copy & paste and run the following command to start the virtual device:" }) }),
    /* @__PURE__ */ jsx(CopyCode_default, { code: codeToCopy, withDescription: true }),
    /* @__PURE__ */ jsx("p", { children: "The device should appear in the Pending devices view in a couple of minutes." }),
    /* @__PURE__ */ jsxs("p", { children: [
      "Visit ",
      /* @__PURE__ */ jsx(DocsLink_default, { path: "get-started/preparation/prepare-a-virtual-device", title: "our documentation" }),
      " for more information on managing the virtual device."
    ] })
  ] });
};
var VirtualDeviceOnboarding_default = VirtualDeviceOnboarding;

export {
  getDemoDeviceCreationCommand,
  VirtualDeviceOnboarding,
  VirtualDeviceOnboarding_default
};
//# sourceMappingURL=chunk-5VP4DBQ4.js.map